## WebKitWebNavigationAction

WebKitWebNavigationAction — Object used to report details of navigation actions

## Functions

gint | webkit_web_navigation_action_get_button ()
gint | webkit_web_navigation_action_get_modifier_state ()
const gchar * | webkit_web_navigation_action_get_original_uri ()
WebKitWebNavigationReason | webkit_web_navigation_action_get_reason ()
const gchar * | webkit_web_navigation_action_get_target_frame ()
void | webkit_web_navigation_action_set_original_uri ()
void | webkit_web_navigation_action_set_reason ()

## Properties

gint | button | Read / Write / Construct Only
gint | modifier-state | Read / Write / Construct Only
gchar * | original-uri | Read / Write / Construct
WebKitWebNavigationReason | reason | Read / Write / Construct
gchar * | target-frame | Read / Write / Construct Only

## Types and Values

struct | WebKitWebNavigationAction
enum | WebKitWebNavigationReason

## Object Hierarchy

        GObject
        ╰── WebKitWebNavigationAction

## Description

WebKitWebNavigationAction is used in signals to provide details about what led the navigation to happen. This includes, for instance, if the user clicked a link to start that navigation, and what mouse button was used.

## Functions

### webkit_web_navigation_action_get_button ()

    gint
    webkit_web_navigation_action_get_button
                                   (WebKitWebNavigationAction *navigationAction);

The GTK+ identifier for the mouse button used to click. Notice that GTK+ button values are 1, 2 and 3 for left, middle and right buttons, so they are DOM button values +1. If the action was not initiated by a mouse click the value will be -1.

#### Parameters

navigationAction | a WebKitWebNavigationAction |

#### Returns

the mouse button used to click

Since: 1.0.3

### webkit_web_navigation_action_get_modifier_state ()

    gint
    webkit_web_navigation_action_get_modifier_state
                                   (WebKitWebNavigationAction *navigationAction);

Returns a bitmask with the the state of the modifier keys.

#### Parameters

navigationAction | a WebKitWebNavigationAction |

#### Returns

a bitmask with the state of the modifier keys

Since: 1.0.3

### webkit_web_navigation_action_get_original_uri ()

    const gchar *
    webkit_web_navigation_action_get_original_uri
                                   (WebKitWebNavigationAction *navigationAction);

Returns the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

#### Parameters

navigationAction | a WebKitWebNavigationAction |

#### Returns

the originally requested URI

Since: 1.0.3

### webkit_web_navigation_action_get_reason ()

    WebKitWebNavigationReason
    webkit_web_navigation_action_get_reason
                                   (WebKitWebNavigationAction *navigationAction);

Returns the reason why WebKit is requesting a navigation.

#### Parameters

navigationAction | a WebKitWebNavigationAction |

#### Returns

a WebKitWebNavigationReason

Since: 1.0.3

### webkit_web_navigation_action_get_target_frame ()

    const gchar *
    webkit_web_navigation_action_get_target_frame
                                   (WebKitWebNavigationAction *navigationAction);

Returns the target frame of the action.

#### Parameters

navigationAction | a WebKitWebNavigationAction |

#### Returns

the target frame of the action or NULL if there is no target.

Since: 1.1.13

### webkit_web_navigation_action_set_original_uri ()

    void
    webkit_web_navigation_action_set_original_uri
                                   (WebKitWebNavigationAction *navigationAction,
                                    const gchar *originalUri);

Sets the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

#### Parameters

navigationAction | a WebKitWebNavigationAction |
originalUri | a URI |

Since: 1.0.3

### webkit_web_navigation_action_set_reason ()

    void
    webkit_web_navigation_action_set_reason
                                   (WebKitWebNavigationAction *navigationAction,
                                    WebKitWebNavigationReason reason);

Sets the reason why WebKit is requesting a navigation.

#### Parameters

navigationAction | a WebKitWebNavigationAction |
reason | a WebKitWebNavigationReason |

Since: 1.0.3

## Types and Values

### struct WebKitWebNavigationAction

    struct WebKitWebNavigationAction;

### enum WebKitWebNavigationReason

Enum values used to denote the various navigation reasons.

#### Members

WEBKIT_WEB_NAVIGATION_REASON_LINK_CLICKED | The navigation was triggered by clicking a link. |
WEBKIT_WEB_NAVIGATION_REASON_FORM_SUBMITTED | The navigation was triggered by submitting a form. |
WEBKIT_WEB_NAVIGATION_REASON_BACK_FORWARD | The navigation was triggered by navigating forward or backward. |
WEBKIT_WEB_NAVIGATION_REASON_RELOAD | The navigation was triggered by reloading. |
WEBKIT_WEB_NAVIGATION_REASON_FORM_RESUBMITTED | The navigation was triggered by resubmitting a form. |
WEBKIT_WEB_NAVIGATION_REASON_OTHER | The navigation was triggered by some other action. |

## Property Details

### The `“button”` property

      “button”                   gint

The GTK+ identifier for the mouse button used to click. Notice that GTK+ button values are 1, 2 and 3 for left, middle and right buttons, so they are DOM button values +1. If the action was not initiated by a mouse click the value will be -1.

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

Since: 1.0.3

### The `“modifier-state”` property

      “modifier-state”           gint

The state of the modifier keys when the action was requested.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

Since: 1.0.3

### The `“original-uri”` property

      “original-uri”             gchar *

The URI that was requested as the target for the navigation.

Flags: Read / Write / Construct

Default value: ""

Since: 1.0.3

### The `“reason”` property

      “reason”                   WebKitWebNavigationReason

The reason why this navigation is occuring.

Flags: Read / Write / Construct

Default value: WEBKIT_WEB_NAVIGATION_REASON_OTHER

Since: 1.0.3

### The `“target-frame”` property

      “target-frame”             gchar *

The target frame for the navigation.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 1.1.13